import React, { Component, PropTypes, View, Image } from 'react-native';
import Icon from './Icon';
import { ICON_NAME } from './config';

export default class Avatar extends Component {

    static propTypes = {
        icon: PropTypes.string,
        src: PropTypes.string,
        size: PropTypes.number,
        color: PropTypes.string,
        backgroundColor: PropTypes.string
    };

    static defaultProps = {
        size: 40,
        color: '#ffffff',
        backgroundColor: '#bdbdbd'
    };

    render() {
        const { icon, src, size, color, backgroundColor } = this.props;

        if (src) {
            return (
                <Image
                    style={{ width: size, height: size, borderRadius: size / 2, borderColor: 'rgba(0,0,0,.1)', borderWidth: 1 }}
                    source={{ uri: src }}
                />
            );
        }

        if (icon) {
            return (
                <View style={{ flex: 1 }}>
                    <View style={{ width: size, height: size, borderRadius: size / 2, backgroundColor: backgroundColor, alignItems:'center' }}>
                        <Icon name={icon} color={color} size={0.6 * size} style={{ position: 'relative', top: -3 }} />
                    </View>
                </View>
            );
        }
    }
}